import dynamix_sdk.base as _base


class CloudapiComputeTagAddResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeTagAddProtocol(_base.BasePostAPIFunctionProtocol):
    def tag_add(
        self,
        *,
        vm_id: int,
        key: str,
        value: str,
    ) -> CloudapiComputeTagAddResultBool:
        ...
